Quantification tool - Bug #1038

Negative numbers displayed when quantities adjusted are over 2 billion units
01/15/2014 12:02 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 01/15/2014
Priority: Normal Due date: 01/17/2014
Assignee: Luis Gustavo do Valle Bastos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 1.0.2 Spent time: 0.00 hour
Description

There are two issues to be solved:

1) When the quantity needed for regular or accelerated order is a number that multiplied by 100 (what in the formula of the
Adjustment column in the order tab) gives a quantity over 2 billion units, the columns with quantities adjusted are displayed as
negative numbers in the order tab. See figure "Negative numbers 1" attached.

2) When the quantity needed is primarily over 2 billion, the calculations are screwed-up in the summary tab (e.g., columns "quantity
dispensed" over the "stock on hand at the reference date"; "quantity dispensed" as negative; "stock on hand after the reference
period" negative; "quantity likely to expire" negative). System should perform a validation process and display an error message
when the quantity needed for regular or accelerated order are over 2 billion.

This validation process doesn't apply to the item 1 above.

History

#1 - 01/17/2014 01:27 PM - Oleksii Kurasov
- Due date set to 01/17/2014
- Status changed from New to Feedback

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

Total number of cases enrolled and expected restricted to 5,000,000. Negative number's check after calculation added. Issue with order resolved.

#2 - 01/27/2014 12:51 PM - Luis Gustavo do Valle Bastos
- Status changed from Feedback to Closed

Tested and adequate.

Files
Negative numbers 1.JPG 130 KB 01/15/2014 Luis Gustavo do Valle Bastos
Negative numbers 2.JPG 167 KB 01/15/2014 Luis Gustavo do Valle Bastos

05/06/2025 1/1



http://www.tcpdf.org

